package com.caimei365.commodity.model.vo;

import lombok.Data;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/28
 */
@Data
public class MallOrganizeProductVo {
    /**
     * 商品Id
     */
    private String productId;
    /**
     * 商品名称
     */
    private String name;
    /**
     * 商品主图
     */
    private String mainImage;
    /**
     * 市场价
     */
    private String normalPrice;
    /**
     * 成本价
     */
    private String costPrice;
    /**
     * 启用阶梯价格标识 0否 1是
     */
    private String ladderPriceFlag;
    /**
     * 售价(此起售价适用于非阶梯价格)
     */
    private String retailPrice;
    /**
     * 最小起订量(此起订量适用于非阶梯价格)
     */
    private String minBuyNumber;
    /**
     * 商品状态,1已上架,2已下架
     */
    private String validFlag;
}
