package com.caimei365.commodity.service;

import com.caimei365.commodity.model.ResponseJson;
import com.caimei365.commodity.model.vo.MallOrganizeProductVo;

import java.util.List;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/28
 */
public interface MallOrganizeService {

    /**
     * 联合丽格小程序首页
     * @return
     */
    ResponseJson<Map<String, Object>> getMallHome(Integer organizeId);

    /**
     * 主菜单区详情
     * @param organizeId
     * @param id
     * @return
     */
    ResponseJson<Map<String,Object>> getMenu(Integer organizeId, Integer jumpType, Integer id);

    /**
     * 商品楼层详情
     * @param activeId
     * @param organizeId
     * @return
     */
    ResponseJson<List<MallOrganizeProductVo>> getOrganizeProducts(Integer activeId, Integer organizeId);

}
